/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このクラスはblancoValueObjectにより自動生成されました。
 */
package blanco.sample.batchprocess.valueobject;

/**
 * バッチ処理クラス [SampleBatchProcess]の入力バリューオブジェクトクラスです。 BlancoResourceBundleのAntTaskです。
 */
public class SampleBatchProcessInput {
    /**
     * フィールド [require]
     *
     * 項目の型 [java.lang.String]<br>
     * 必須引数のサンプル。
     */
    private String fRequire;

    /**
     * フィールド [dispstr]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [特に指定が無い場合の文字列]<br>
     * 表示文字列のサンプル。
     */
    private String fDispstr = "特に指定が無い場合の文字列";

    /**
     * フィールド [normalparam]
     *
     * 項目の型 [java.lang.String]<br>
     * 必須でもなく、またデフォルトも持たない引数の例。
     */
    private String fNormalparam;

    /**
     * フィールド [require]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須引数のサンプル。
     *
     * @param argRequire フィールド[require]に格納したい値
     */
    public void setRequire(final String argRequire) {
        fRequire = argRequire;
    }

    /**
     * フィールド[require]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須引数のサンプル。
     *
     * @return フィールド[require]に格納されている値
     */
    public String getRequire() {
        return fRequire;
    }

    /**
     * フィールド [dispstr]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表示文字列のサンプル。
     *
     * @param argDispstr フィールド[dispstr]に格納したい値
     */
    public void setDispstr(final String argDispstr) {
        fDispstr = argDispstr;
    }

    /**
     * フィールド[dispstr]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [特に指定が無い場合の文字列]<br>
     * 表示文字列のサンプル。
     *
     * @return フィールド[dispstr]に格納されている値
     */
    public String getDispstr() {
        return fDispstr;
    }

    /**
     * フィールド [normalparam]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須でもなく、またデフォルトも持たない引数の例。
     *
     * @param argNormalparam フィールド[normalparam]に格納したい値
     */
    public void setNormalparam(final String argNormalparam) {
        fNormalparam = argNormalparam;
    }

    /**
     * フィールド[normalparam]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須でもなく、またデフォルトも持たない引数の例。
     *
     * @return フィールド[normalparam]に格納されている値
     */
    public String getNormalparam() {
        return fNormalparam;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.batchprocess.valueobject.SampleBatchProcessInput[");
        buf.append("require=" + fRequire);
        buf.append(",dispstr=" + fDispstr);
        buf.append(",normalparam=" + fNormalparam);
        buf.append("]");
        return buf.toString();
    }
}
